The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Virtual host  phpmyadmin"
Вариант для распечатки  
Пред. тема | След. тема 
Форум WEB технологии (Apache, http-серверы)
Изначальное сообщение [ Отслеживать ]

"Virtual host  phpmyadmin"  +/
Сообщение от peering email(ok) on 16-Июл-12, 08:44 
Пока не поднимал Virtual host, phpmyadmin работал выдал, Произошла ошибка в работе механизма сессии. Проверьте файлы журналов PHP и/или Веб-сервера на наличие ошибок, и произведите их корректное конфигурирование.

в php.ini прописал session.save_path = "/tmp"

Пробовал и так

<VirtualHost *:80>
   DocumentRoot /usr/share/phpmyadmin
   ServerName phpmyamdin
   ServerAlias phpmyamdin
    <Directory /usr/share/phpmyadmin>
                AllowOverride All
                Order allow,deny
                Allow from all
  </Directory>
</VirtualHost>

Результатов никаких ?????

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Virtual host  phpmyadmin"  +/
Сообщение от Дядя_Федор on 16-Июл-12, 09:01 
>Проверьте файлы журналов PHP и/или Веб-сервера на наличие ошибок,

И? Проверили? Или Вы думаете, что это просто так, от балды, было написано?

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "Virtual host  phpmyadmin"  +/
Сообщение от peering email(ok) on 16-Июл-12, 09:31 
>>Проверьте файлы журналов PHP и/или Веб-сервера на наличие ошибок,
>  И? Проверили? Или Вы думаете, что это просто так, от балды,
> было написано?

да в этом и трабла что тап глухо

PHP:  syntax error, unexpected $end, expecting TC_DOLLAR_CURLY or TC_QUOTED_STRING or '"' in /etc/php5/apache2/php.ini on line 1858
[eAccelerator] This build of "eAccelerator" was compiled for PHP version 5.3.3-7+squeeze9. Rebuild it for your PHP version (5.3.3-7+squeeze13) or
[Mon Jul 16 10:23:00 2012] [notice] Apache/2.2.16 (Debian) PHP/5.3.3-7+squeeze13 with Suhosin-Patch configured -- resuming normal operations
[Mon Jul 16 10:24:02 2012] [notice] caught SIGTERM, shutting down
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20090626+lfs/session.so' - /usr/lib/php5/20090626+lfs/session.so: cannot
PHP:  syntax error, unexpected $end, expecting TC_DOLLAR_CURLY or TC_QUOTED_STRING or '"' in /etc/php5/apache2/php.ini on line 1858
[eAccelerator] This build of "eAccelerator" was compiled for PHP version 5.3.3-7+squeeze9. Rebuild it for your PHP version (5.3.3-7+squeeze13) or
[Mon Jul 16 10:25:24 2012] [notice] Apache/2.2.16 (Debian) PHP/5.3.3-7+squeeze13 with Suhosin-Patch configured -- resuming normal operations
[Mon Jul 16 11:00:11 2012] [notice] caught SIGTERM, shutting down
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20090626+lfs/session.so' - /usr/lib/php5/20090626+lfs/session.so: cannot
PHP:  syntax error, unexpected $end, expecting TC_DOLLAR_CURLY or TC_QUOTED_STRING or '"' in /etc/php5/apache2/php.ini on line 1858
[eAccelerator] This build of "eAccelerator" was compiled for PHP version 5.3.3-7+squeeze9. Rebuild it for your PHP version (5.3.3-7+squeeze13) or
[Mon Jul 16 11:00:12 2012] [notice] Apache/2.2.16 (Debian) PHP/5.3.3-7+squeeze13 with Suhosin-Patch configured -- resuming normal operations
[Mon Jul 16 11:01:17 2012] [notice] caught SIGTERM, shutting down
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20090626+lfs/session.so' - /usr/lib/php5/20090626+lfs/session.so: cannot
PHP:  syntax error, unexpected $end, expecting TC_DOLLAR_CURLY or TC_QUOTED_STRING or '"' in /etc/php5/apache2/php.ini on line 1858
[eAccelerator] This build of "eAccelerator" was compiled for PHP version 5.3.3-7+squeeze9. Rebuild it for your PHP version (5.3.3-7+squeeze13) or
[Mon Jul 16 11:02:39 2012] [notice] Apache/2.2.16 (Debian) PHP/5.3.3-7+squeeze13 with Suhosin-Patch configured -- resuming normal operations
[Mon Jul 16 11:16:35 2012] [notice] caught SIGTERM, shutting down
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20090626+lfs/session.so' - /usr/lib/php5/20090626+lfs/session.so: cannot

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

3. "Virtual host  phpmyadmin"  +/
Сообщение от PavelR (ok) on 16-Июл-12, 10:36 
>>>Проверьте файлы журналов PHP и/или Веб-сервера на наличие ошибок,
>>  И? Проверили? Или Вы думаете, что это просто так, от балды,
>> было написано?
> да в этом и трабла что тап глухо

Напишите свой адрес (почтовый), отправим вам краткий англо-русский словарик.


PS: А, да, забыл сказать: в случае "тап глухо" выход только один - сервер надо переустанавливать с нуля.

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

4. "Virtual host  phpmyadmin"  +/
Сообщение от peering email(ok) on 16-Июл-12, 11:37 
>>>>Проверьте файлы журналов PHP и/или Веб-сервера на наличие ошибок,
>>>  И? Проверили? Или Вы думаете, что это просто так, от балды,
>>> было написано?
>> да в этом и трабла что тап глухо
> Напишите свой адрес (почтовый), отправим вам краткий англо-русский словарик.
> PS: А, да, забыл сказать: в случае "тап глухо" выход только один
> - сервер надо переустанавливать с нуля.

Господа я много форумов перелазил, прежде чем здесь написать, если в том куске лога есть относящееся к моей проблеме, то подскажите где.
Я вообще не пойму он должен без записи в виртуальном хосте работать или  нет ??

Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

5. "Virtual host  phpmyadmin"  +/
Сообщение от PavelR (ok) on 16-Июл-12, 12:13 
> Господа я много форумов перелазил, прежде чем здесь написать, если в том
> куске лога есть относящееся к моей проблеме, то подскажите где.

Там в вашем логе всего две строчки. Вы в них путаетесь?

> Я вообще не пойму он должен без записи в виртуальном хосте работать
> или  нет ??

Он _может_ работать без выделенного виртуального хоста, а должен или нет - определяет ваш конфиг. Если "раньше работал" и "вы ничего не меняли", следовательно конфиг "верен", то работать "должен". Но тут есть слово "если" и парочка условий, возможно не истинных.


Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

6. "Virtual host  phpmyadmin"  +/
Сообщение от peering email(ok) on 16-Июл-12, 12:38 
>> Господа я много форумов перелазил, прежде чем здесь написать, если в том
>> куске лога есть относящееся к моей проблеме, то подскажите где.
> Там в вашем логе всего две строчки. Вы в них путаетесь?
>> Я вообще не пойму он должен без записи в виртуальном хосте работать
>> или  нет ??
> Он _может_ работать без выделенного виртуального хоста, а должен или нет -
> определяет ваш конфиг. Если "раньше работал" и "вы ничего не меняли",
> следовательно конфиг "верен", то работать "должен". Но тут есть слово "если"
> и парочка условий, возможно не истинных.

Спасибо за ответ,, у меня два тестовых сервака  и на обеих пока виртуал-хосты не поднимал всё работало,,

Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

7. "Virtual host  phpmyadmin"  +/
Сообщение от Дядя_Федор on 16-Июл-12, 13:01 
У Вас, судя по всему, не грязится динамическая пхп-шная бибилиотека. Гуглы говорят, что (возможно) должно помочь dpkg --purge php5-gd Попробуйте - возможно, решит проблему. А так как динамическая библиотека касается поддержки сессий - вполне возможно, что причина в этом.

Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

8. "Virtual host  phpmyadmin"  +/
Сообщение от erera22 (ok) on 16-Июл-12, 17:08 
>[оверквотинг удален]
> - /usr/lib/php5/20090626+lfs/session.so: cannot
> PHP:  syntax error, unexpected $end, expecting TC_DOLLAR_CURLY or TC_QUOTED_STRING or '"'
> in /etc/php5/apache2/php.ini on line 1858
> [eAccelerator] This build of "eAccelerator" was compiled for PHP version 5.3.3-7+squeeze9.
> Rebuild it for your PHP version (5.3.3-7+squeeze13) or
> [Mon Jul 16 11:02:39 2012] [notice] Apache/2.2.16 (Debian) PHP/5.3.3-7+squeeze13 with
> Suhosin-Patch configured -- resuming normal operations
> [Mon Jul 16 11:16:35 2012] [notice] caught SIGTERM, shutting down
> PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20090626+lfs/session.so'
> - /usr/lib/php5/20090626+lfs/session.so: cannot

Читаем по строкам:
1) This build of "eAccelerator" was compiled for PHP version 5.3.3-7+squeeze9. Rebuild it for your PHP version - пресобираем eaccelerator или убираем его совсем.

2) Unable to load dynamic library '/usr/lib/php5/20090626+lfs/session.so' - либо session.so не может быть загружена.

Советую убрать eA и сделать рестарт веб-сервера. Одно может влиять на другое. Либо пересобирать session.so.

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

9. "Virtual host  phpmyadmin"  +/
Сообщение от PavelR (ok) on 16-Июл-12, 17:36 
>[оверквотинг удален]
>> - /usr/lib/php5/20090626+lfs/session.so: cannot
>> PHP:  syntax error, unexpected $end, expecting TC_DOLLAR_CURLY or TC_QUOTED_STRING or '"'
>> in /etc/php5/apache2/php.ini on line 1858
>> [eAccelerator] This build of "eAccelerator" was compiled for PHP version 5.3.3-7+squeeze9.
>> Rebuild it for your PHP version (5.3.3-7+squeeze13) or
>> [Mon Jul 16 11:02:39 2012] [notice] Apache/2.2.16 (Debian) PHP/5.3.3-7+squeeze13 with
>> Suhosin-Patch configured -- resuming normal operations
>> [Mon Jul 16 11:16:35 2012] [notice] caught SIGTERM, shutting down
>> PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20090626+lfs/session.so'
>> - /usr/lib/php5/20090626+lfs/session.so: cannot

Читаем по строкам:

> PHP:  syntax error, unexpected $end, expecting TC_DOLLAR_CURLY or TC_QUOTED_STRING or '"'
> in /etc/php5/apache2/php.ini on line 1858

"in /etc/php5/apache2/php.ini on line 1858"  переводится как "в файле php.ini на строке 1858 есть косяк.

Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

10. "Virtual host  phpmyadmin"  +/
Сообщение от XaKRu email on 29-Июл-12, 15:02 
> да в этом и трабла что тап глухо
> PHP:  syntax error, unexpected $end, expecting TC_DOLLAR_CURLY or TC_QUOTED_STRING or '"'
> in /etc/php5/apache2/php.ini on line 1858
> [eAccelerator] This build of "eAccelerator" was compiled for PHP version 5.3.3-7+squeeze9.
> Rebuild it for your PHP version (5.3.3-7+squeeze13) or
> PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20090626+lfs/session.so'
> - /usr/lib/php5/20090626+lfs/session.so: cannot

Вот и весь ваш лог.

А теперь по порядку

#PHP:  syntax error, unexpected $end, expecting TC_DOLLAR_CURLY or TC_QUOTED_STRING or '"'
#in /etc/php5/apache2/php.ini on line 1858

Говорит об ошибке в конфиге PHP ( путь /etc/php5/apache2/php.ini, строка 1858)

#[eAccelerator] This build of "eAccelerator" was compiled for PHP version 5.3.3-7+squeeze9.
#Rebuild it for your PHP version (5.3.3-7+squeeze13) or

Как советовал erera22 - удалите eaccelerator. Вы установили не подходящую сборку eaccelerator для ваших компонентов, они не сочетаются.


#PHP Warning:  PHP Startup: Unable to load dynamic library #'/usr/lib/php5/20090626+lfs/session.so'
# - /usr/lib/php5/20090626+lfs/session.so: cannot

Здесь говорится что при загрузку модулей, библиотек php возникает ошибка. В данном случае это библиотека seeion.so


Ваш КЭП!!!

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру